data:extend({
  {
    type = "gun",
    name = "Stinger",
    icon = "__base__/graphics/icons/shotgun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "Bee-Weapons",
    order = "e[1]",
    attack_parameters =
    {
      ammo_category = "Stinger",
      cooldown = 2,
      movement_slow_down_factor = 0.6,
      projectile_creation_distance = 0.6,
      range = 22
    },
    stack_size = 1
  },
  {
    type = "ammo",
    name = "Wood-Stinger",
    icon = "__base__/graphics/icons/piercing-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "Stinger",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-entity",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 5 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 1,
    subgroup = "Bee-Weapons",
    order = "a[2]-b[1Wood]",
    stack_size = 10000
  },
  {
    type = "ammo",
    name = "Coal-Stinger",
    icon = "__base__/graphics/icons/piercing-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "Stinger",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-entity",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 10 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 1,
    subgroup = "Bee-Weapons",
    order = "a[2]-b[2Coal]",
    stack_size = 10000
  },
  {
    type = "ammo",
    name = "Copper-Stinger",
    icon = "__base__/graphics/icons/piercing-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "Stinger",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-entity",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 20 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 1,
    subgroup = "Bee-Weapons",
    order = "a[2]-b[4Copper]",
    stack_size = 10000
  },
  {
    type = "ammo",
    name = "Iron-Stinger",
    icon = "__base__/graphics/icons/piercing-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "Stinger",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-entity",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 25 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 1,
    subgroup = "Bee-Weapons",
    order = "a[2]-b[5Iron]",
    stack_size = 10000
  },
})